@import url("./positioning/BookList.css");
@import url("./positioning/SearchMoodral.css");
@import url("./moodral.css");

/* HACK: Fixes bug where scroll bar will disapear on some screens for a half a second just to reapear causeing the UI to freak out. */
html{
  overflow-y: scroll;
}

/* meta style */
body {
  font-family: Verdana,'Lucida Grande','Lucida Sans Unicode','Open Sans',Arial,sans-serif;
  font-size: 13px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  line-height: normal;
  color: #000;
  background-color:#E4E3D5;
  word-wrap: break-word;
  width: 100%;
  margin: 0;
}

hr {
  margin: 0.25em;
  margin-bottom: 0.5em;
  background-image: linear-gradient(to right, #fff 0%, #cbcbcb 10%, #cbcbcb 90%, #fff 100%);
  height: 0.1em;
  border: 0;
}

.cenPage {
  margin-bottom: 0.5em;
}

a, a:link, a:active, a:visited {
  color: #0f37a0;
  text-decoration: none;
}
a:hover {
  border-bottom: solid 1px #357bd6;
}

/* heading */
#top {
  width: 100%;
  background-color: #8b3dae;
}

#top .menulink {
  color: white;
  letter-spacing: 0.03em;
}

#top .menulink a:visited,
#top .menulink a:link,
#top .menulink a:active,
#top .menulink a:hover {
    color: white;
    text-decoration: none;
}

/* Content wrappers */
#content_parent {
  margin-left: auto;
  margin-right: auto;
  min-width: 30em;
  width: 70%;
}
#content_wrapper {
  background-color: white;
  /* TODO: Shadow */
}
#content_wrapper_inner {
  padding: 0.5em;
}

.shortcutBar {
  position: sticky;
  top: -.20em;
  background: white;
  width: 100%;
  z-index: 1;
  padding-top: 0.50em;
}

.shortcutBar #openSearchBoxMoodral {
  display: inline-block;
  width: 33%;
  left: 33%;
  right: 33%;
  position: relative;
  border-left: solid;
  border-right: solid;
  text-align: center;
  cursor: pointer;
}

#p_footer {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding: 1em 0 1em 0;
}
